MeAndMyShadow V0.2 RC1

MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 05 Jan 2012, 21:18

MeAndMyShadow V0.2 Release Candidate 1
    * New default theme: Cloudscape
    * Tutorial levelpack
    * Improved leveleditor
    * New blocks
    * Addon manager
    * New help screen

Download:

Found bugs:
If you encounter any bugs see the Bug reporting wiki page.
Or if you want to give feedback see the Giving feedback page.

Screenshots:
Attachments
02rc1sshot2.png
02rc1sshot3.png
The new help menu
02rc1sshot1.png
The leveleditor
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby acme_pjz » 06 Jan 2012, 08:17

Hi,

I have just uploaded a Windows binary :) (And didn't know why SourceForge doesn't display it)
Some of my open source games on GitHub
User avatar
acme_pjz
 
Posts: 489
Joined: 10 Dec 2009, 15:32

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 08:30

Hello acme_pjz,

acme_pjz {l Wrote}:I have just uploaded a Windows binary :) (And didn't know why SourceForge doesn't display it)

I've put the link in the first post.

I'm trying to make Linux packages (.rpm, .deb) but it keeps failing for a lot because of the CMakeLists.txt file.
Do you by any chance now howto solve the problem with libarchive?
Currently the only ones that build are openSUSE 11.4, 12.1 and Mandriva 2011.

This did seem to do the trick but isn't a real solution.
It assumes libarchive is installed but doesn't check it:
http://forum.freegamedev.net/viewtopic.php?f=48&t=2423&start=25#p24967
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby acme_pjz » 06 Jan 2012, 08:46

Hi,

Edward_Lii {l Wrote}:Do you by any chance now howto solve the problem with libarchive?


Unfortunately I don't know :( Under Windows I need to download the source code of libarchive from official website and compile it... [in fact I need to download libarchive svn code because 2.8.5 has a bad bug of extraction path in Windows]
Some of my open source games on GitHub
User avatar
acme_pjz
 
Posts: 489
Joined: 10 Dec 2009, 15:32

Re: MeAndMyShadow V0.2 RC1

Postby MCMic » 06 Jan 2012, 10:47

User avatar
MCMic
 
Posts: 689
Joined: 05 Jan 2010, 17:40

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 10:50

Hello MCMic,

MCMic {l Wrote}:Here is an ArchLinux package : https://aur.archlinux.org/packages.php?ID=55582

Looks good, only the some dependencies seem missing.
Or does sdl automatically pull in SDL_ttf and SDL_mixer, etc...?
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby MCMic » 06 Jan 2012, 11:10

I added these dependencies.
After installing it won't launch, it says "FATAL ERROR: Failed to configure paths."
What did I do wrong? (message error is not really explicit, what path?)
User avatar
MCMic
 
Posts: 689
Joined: 05 Jan 2010, 17:40

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 11:20

Hello MCMic,

MCMic {l Wrote}:I added these dependencies.
After installing it won't launch, it says "FATAL ERROR: Failed to configure paths."
What did I do wrong? (message error is not really explicit, what path?)

If you want a system-wide installation, which a package indirectly is, you'll need to run cmake like this:
{l Code}: {l Select All Code}
cmake -DCMAKE_INSTALL_PREFIX=%buildroot/usr .

The %buildroot is an rpm variable.
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby MCMic » 06 Jan 2012, 11:37

Look at the pkgbuild, I'm already doing this : https://aur.archlinux.org/packages/me/m ... w/PKGBUILD
User avatar
MCMic
 
Posts: 689
Joined: 05 Jan 2010, 17:40

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 11:44

Hello MCMic,

MCMic {l Wrote}:Look at the pkgbuild, I'm already doing this : https://aur.archlinux.org/packages/me/m ... w/PKGBUILD

I see, strange, it also happens to the openSUSE 12.1 packages I just built.
We'll have to look into this problem.
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 11:54

Hello all,

Found the problem, sometime ago the data path has changed to include the "data/" folder.
This wasn't changed in the config.h.in file.

It's fixed in the latest SVN (r178). ;)
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby MCMic » 06 Jan 2012, 12:10

Can you update the rc source tar gz?
User avatar
MCMic
 
Posts: 689
Joined: 05 Jan 2010, 17:40

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 12:16

MCMic {l Wrote}:Can you update the rc source tar gz?

Done. ;)
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby MCMic » 06 Jan 2012, 12:31

Thanks, the package works :-)
User avatar
MCMic
 
Posts: 689
Joined: 05 Jan 2010, 17:40

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 12:37

Hello MCMic,

MCMic {l Wrote}:Thanks, the package works :-)

The openSUSE packages work fine now.

But we should do something about the CMakeLists.txt regarding libarchive and curl.
Currently my builds for Debian 5.0, 6.0; Fedora 14; Ubuntu 8.04, 9.04; 9.10; Mandriva 2009, 2009.1, 2010, 20010.1 fail on one or both of them. :(
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby MCMic » 06 Jan 2012, 12:46

What is the problem with curl and libarchive?
User avatar
MCMic
 
Posts: 689
Joined: 05 Jan 2010, 17:40

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 12:49

Hello MCMic,

MCMic {l Wrote}:What is the problem with curl and libarchive?

Even if the development headers of those libraries are installed cmake will give an error.
This is because most of the distro's don't seem to distribute the cmake modules for libcurl or libarchive.

One example here:
http://forum.freegamedev.net/viewtopic.php?f=48&t=2423#p24961
The solution given there isn't the best one.
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 06 Jan 2012, 14:47

Hello all,

I think I've fixed the problem. :cool:
In SVN revision 179 I've added two CMake modules: FindLibArchive.cmake and FindSDL_gfx.cmake.
Thanks to the documentation of CMake:
http://www.vtk.org/Wiki/CMake:How_To_Find_Libraries#Using_external_libraries_that_CMake_doesn.27t_yet_have_modules_for

I'm going to try it out on the openSUSE Buildservice.
If it works I'll update the source package.
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby Edward_Lii » 07 Jan 2012, 09:34

Hello all,

Problem is indeed fixed, I updated the source package.
There are now packages for:
    * openSUSE 11.3, 11.4, 12.1
    * Mandriva 2009, 2009.1, 2010, 2010.1, 2011
    * Fedora 14, 15, 16
And of course a package for archlinux, by MCMic.

Note: I'm still trying to get the builds for the debian based distro's to work.
The openSUSE BuildService doesn't provide the Ubuntu Universe repository, and that's where the SDL libraries are in. :(
From,
Edward_Lii
User avatar
Edward_Lii
MnMS Moderator
 
Posts: 770
Joined: 20 Dec 2010, 16:46

Re: MeAndMyShadow V0.2 RC1

Postby Donaldin » 05 Mar 2012, 10:30

Ya, the documentation of CMake has been very helpful to me too.
Donald
Donaldin
 
Posts: 1
Joined: 05 Mar 2012, 10:27

Re: MeAndMyShadow V0.2 RC1

Postby ihanna » 31 May 2012, 14:44

MCMic {l Wrote}:I added these dependencies.
After installing it won't launch, it says "FATAL ERROR: Failed to configure paths."
What did I do wrong? (message error is not really explicit, what path?)


What should I do? I read all the comments here, and followed all the intructions, but it doesn't seem to work for me. :( it still won't launch. Thanks in advance for those who will help.
ihanna
 
Posts: 1
Joined: 31 May 2012, 14:33

Re: MeAndMyShadow V0.2 RC1

Postby odamite » 01 Jun 2012, 09:29

Hello ihanna,

Which operating system are you using (Linux/Windows/Mac) and if Linux which distro (Ubuntu/Fedora/etc). Also which version of MeAndMyShadow are you using? V0.2 RC1 is old and 0.3 in the newest version. Did you compile the game from source or are you using some binary release? Finally are you getting that same "FATAL ERROR: Failed to configure paths." error message or some other?

Please give some more information about your situation so we can help you better and easier. Thanks! :)
User avatar
odamite
 
Posts: 166
Joined: 16 Jan 2012, 16:28

Who is online

Users browsing this forum: No registered users and 1 guest

cron